Package pygccxml :: Package declarations :: Module matchers :: Class not_matcher_t

# type not_matcher_t

source code

        object --+
                 |
    matcher_base_t --+
                     |
                    not_matcher_t

Return the inverse result of matcher, using "~"

For example: find all private and protected declarations

`matcher = ~access_type_matcher_t( 'private' )`

Instance Methods

__init__(self, matcher) | source code

__call__(self, decl) | source code

__str__(self) | source code

Inherited from `matcher_base_t`: `__and__`, `__invert__`, `__or__`

Method Details

### __init__(self, matcher)
(Constructor)

source code

Overrides: matcher_base_t.__init__

### __call__(self, decl)
(Call operator)

source code

Overrides: matcher_base_t.__call__

### __str__(self)
(Informal representation operator)

source code

Overrides: matcher_base_t.__str__